%define name	lve
%define version	040322
%define release 1mdk

Name: 	 	%{name}
Summary: 	Linux Video Editor
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.src.tar.bz2
Patch:		lve-040322-cpp.patch.bz2
URL:		http://space.arcor.de/gmo18t/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	SDL-devel a52dec-devel libmpeg2dec-devel
BuildRequires:	qt3-devel ImageMagick
BuildRequires:	libffmpeg-devel >= 0.4.8-3mdk
Requires:	ffmpeg >= 0.4.8-3mdk

%description
A simple non-linear video editor.

%prep
%setup -q -n %name
%patch -p1
chmod 755 `find -type d`
# tell it that we're no using an application directory
perl -p -i -e 's|/usr/local/lve/lib|/usr/share/lve||g' devel/lvedes.h src/lve.h
perl -p -i -e 's|/usr/local/lve/bin|/usr/bin||g' src/lve.h src/lvedump.c
# fix to use local libs
perl -p -i -e 's|liba52/a52.h|a52.h||g' src/frame_srv.c

%build
pushd qdir
%make
popd
pushd src
%make INCLUDE="-I/usr/include/a52dec -I/usr/include/ffmpeg -I/usr/include/mpeg2dec" LIB_MPEG2="-L/usr/lib -lmpeg2" LIB_FFMPEG="-L/usr/lib -lavcodec" CFLAGS="-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE $RPM_OPT_FLAGS \$(INCLUDE)"
popd
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%_bindir,%_datadir/%name}
cp bin/{lve,lvedemux,lvedump,lvefilter,lvemkdvd,lvemkidx,lvemux,lverequant} $RPM_BUILD_ROOT/%_bindir
cp qdir/qdir $RPM_BUILD_ROOT/%_bindir
cp lib/* $RPM_BUILD_ROOT/%_datadir/%name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="LVE" longtitle="Linux Video Editor" section="Multimedia/Video"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 lib/rg_open_md.bmp $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 lib/rg_open_md.bmp $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 lib/rg_open_md.bmp $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc ChangeLog COPYING *.txt Readme*
%{_bindir}/*
%{_datadir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Tue Jun 8 2004 Austin Acton <austin@mandrake.org> 040322-1mdk
- 040322
- patch for new gcc (Michael Scherer)

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 040210-1mdk
- 040210

* Tue Jan 13 2004 Austin Acton <austin@mandrake.org> 040112-1mdk
- 040112

* Mon Dec 15 2003 Austin Acton <austin@linux.ca> 031212-2mdk
- require ffmpeg with ac5 support (thanks Svetoslav)

* Sun Dec 14 2003 Austin Acton <aacton@yorku.ca> 031212-1mdk
- initial package
